Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-drivers 180.06+ WOW!
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Wed Nov 19, 2008 6:35 pm    Post subject: Reply with quote

Have you tried Schwinni's modified ebuild yet? --> https://forums.gentoo.org/viewtopic-p-5284356.html#5284356

EDIT: Seems you forgot to copy over nvidia-drivers/files to your overlay where the ebuild tries to get a patch from. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
AaronPPC
Guru
Guru


Joined: 29 May 2005
Posts: 522
Location: Tucson, AZ

PostPosted: Wed Nov 19, 2008 7:16 pm    Post subject: Reply with quote

Mattes,

Did you:
Code:
# ebuild nvidia-drivers-180.06.ebuild digest

_________________
--Aaron
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6944
Location: Austria

PostPosted: Wed Nov 19, 2008 7:24 pm    Post subject: Reply with quote

Must be the case, otherwise portage would complain at the very beginning. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
zyko
l33t
l33t


Joined: 01 Jun 2008
Posts: 620
Location: Munich, Germany

PostPosted: Wed Nov 19, 2008 7:47 pm    Post subject: Reply with quote

Quote:
* Cannot find $EPATCH_SOURCE! Value for $EPATCH_SOURCE is:


You need to copy the files directory too, not just the ebuild.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Wed Nov 19, 2008 7:58 pm    Post subject: Reply with quote

I've added the nVidia 180.08 drivers and settings to berkano overlay, and updated the live mplayer ebuild there with vdpau patches. Happy testing! :D
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
FallenWizard
n00b
n00b


Joined: 04 Sep 2007
Posts: 51
Location: Vienna / Austria

PostPosted: Wed Nov 19, 2008 8:03 pm    Post subject: Reply with quote

yngwin wrote:
I've added the nVidia 180.08 drivers and settings to berkano overlay, and updated the live mplayer ebuild there with vdpau patches. Happy testing! :D


nice, thank you :D
Back to top
View user's profile Send private message
ok
Guru
Guru


Joined: 11 Jul 2006
Posts: 390
Location: germany

PostPosted: Wed Nov 19, 2008 8:04 pm    Post subject: Reply with quote

mattes wrote:
Hi,

I've copied the 177.80 ebuild to my overlay (and renamed it of course), but it doesnt work:
Code:
>> Emerging (1 of 2) x11-drivers/nvidia-drivers-180.06 to /
....
 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch
 *   ( NVIDIA_glx-defines.patch )


the same with 188.08. Anybody any Ideas?

Regrads

You have forgotten to copy the /usr/portage/x11-drivers/nvidia-drivers/files/ directory.

EDIT: I was too slow
Back to top
View user's profile Send private message
Cr0t
l33t
l33t


Joined: 27 Apr 2002
Posts: 931
Location: USA

PostPosted: Wed Nov 19, 2008 11:12 pm    Post subject: Reply with quote

AaronP wrote:
Cr0t wrote:
My entire system slows down when I have firefox open.

Does running glxinfo in a terminal speed it up again? It's possible that Firefox is slowly eating up all of your video memory, and running glxinfo will free some of it up by forcing Firefox's pixmaps into system memory.
I didn't try it. I just went back to the old version.
_________________
cya
    ©®0t
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 902
Location: Hamburg, Germany

PostPosted: Thu Nov 20, 2008 12:24 pm    Post subject: Reply with quote

yngwin wrote:
I've added the nVidia 180.08 drivers and settings to berkano overlay, and updated the live mplayer ebuild there with vdpau patches. Happy testing! :D


Thanks. Using the ebuilds from the berkano overlay for nvidia-driver and mplayer I get a
Code:
Starting playback...
VDec: vo config request - 720 x 576 (preferred colorspace: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.78:1 - prescaling to correct movie aspect.
VO: [vdpau] 720x576 => 1024x576 Planar YV12
Error at libvo/vo_vdpau.c:179


each time I try to play a video. Video window opens for a fraction of a second, audio starts to play before mplayer quits with the error message above.

The same error is reported by a gentoo user in the nvidia forums, and reported to be solved by using the ebuild from this thread. Now I'm a bit confused, as I thought it would be that ebuild that made it into the berkano overlay?!
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Thu Nov 20, 2008 12:30 pm    Post subject: Reply with quote

Did you reboot and load the new nvidia drivers?
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 902
Location: Hamburg, Germany

PostPosted: Thu Nov 20, 2008 12:42 pm    Post subject: Reply with quote

yngwin wrote:
Did you reboot and load the new nvidia drivers?


Yes. Just in this moment I'm trying to copy the ebuild from this thread into /usr/local/portage, rebuild nvidia-drivers and mplayer-9999-r20, reboot and try again. Will be back in a few minutes ...

... OK, that did not help. Error message and symptoms remain the same.

System is
Code:
2.6.27-gentoo-r3-default #1 SMP PREEMPT Thu Nov 20 01:15:04 CET 2008 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+ AuthenticAMD GNU/Linux

Card is
Code:
nVidia Corporation G70 [GeForce 7300 GT] (rev a1)
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Thu Nov 20, 2008 2:12 pm    Post subject: Reply with quote

@ yngwin

Since you added the vdpau use flag to the mplayer ebuild, I suggest adding it to the nvidia-drivers ebuild also:

Code:
--- nvidia-drivers-180.08.ebuild.old   2008-11-20 15:10:23.468199370 +0100
+++ nvidia-drivers-180.08.ebuild   2008-11-20 15:03:27.495417070 +0100
@@ -15,7 +15,7 @@
 LICENSE="NVIDIA"
 SLOT="0"
 KEYWORDS="-* ~amd64 ~x86"
-IUSE="acpi custom-cflags gtk multilib kernel_linux"
+IUSE="acpi custom-cflags gtk multilib kernel_linux vdpau"
 RESTRICT="strip"
 EMULTILIB_PKG="true"
 
@@ -430,18 +430,20 @@
    fi
 
    #vdpau
-   if [[ -f usr/include/vdpau/vdpau.h ]]; then
-      dodir /usr/include/vdpau
-      insinto /usr/include/vdpau
-      doins usr/include/vdpau/*.h
-
-      for vdpau_lib in libvdpau_nvidia.so libvdpau.so libvdpau_trace.so; do
-         if [[ -f usr/${pkglibdir}/${vdpau_lib}.${PV} ]]; then
-            dolib.so usr/${pkglibdir}/${vdpau_lib}.${PV}
-            dosym ${vdpau_lib}.${PV} /usr/${inslibdir}/${vdpau_lib}.1   
-            dosym ${vdpau_lib}.1 /usr/${inslibdir}/${vdpau_lib}
-         fi
-      done
+   if use vdpau ; then
+      if [[ -f usr/include/vdpau/vdpau.h ]]; then
+         dodir /usr/include/vdpau
+         insinto /usr/include/vdpau
+         doins usr/include/vdpau/*.h
+
+         for vdpau_lib in libvdpau_nvidia.so libvdpau.so libvdpau_trace.so; do
+            if [[ -f usr/${pkglibdir}/${vdpau_lib}.${PV} ]]; then
+               dolib.so usr/${pkglibdir}/${vdpau_lib}.${PV}
+               dosym ${vdpau_lib}.${PV} /usr/${inslibdir}/${vdpau_lib}.1   
+               dosym ${vdpau_lib}.1 /usr/${inslibdir}/${vdpau_lib}
+            fi
+         done
+      fi
    fi
 }
 


Best regards
Chris
Back to top
View user's profile Send private message
weaksauce
Apprentice
Apprentice


Joined: 17 Nov 2005
Posts: 204
Location: NYC

PostPosted: Thu Nov 20, 2008 2:42 pm    Post subject: Reply with quote

I don't know if it's the 06 vs. 08 or something, but others are complaining (mostly on nvidia forums) about not being able to play mkv files, but I played them just fine. In fact, although I only tried 4 movies, they were all mkv, all 1080p, and all using -vc ffh264 and -vo vdpau (edited mplayer now defaults to this as well) and all worked flawlessly. I even used arrow keys to jump around the movies and had no issues. Had no sound sync issues or graphical artifacts (I do get artifacts sometimes with the coreavc driver).

I'm sure I'll run in to a glitch now that I've said this, but my first impressions are, needless to say, quite positive.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Thu Nov 20, 2008 4:29 pm    Post subject: Reply with quote

In order to use the VBDPAU for decoding, you have to use -vc ffh264vdpau. Anything else doesn't use the acceleration.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
weaksauce
Apprentice
Apprentice


Joined: 17 Nov 2005
Posts: 204
Location: NYC

PostPosted: Thu Nov 20, 2008 4:33 pm    Post subject: Reply with quote

That's what I meant. (I'm not sitting in front of my desktop, but I just remoted in and saw you're right. I knew I would get that wrong!)

[EDIT]: Also, the reason I mentioned that they're 1080p, is that if I don't use coreavc, I haven't gotten 1080p to be viewable. It begins jumping around after only a few seconds if I'm using x264. This hardware-accelerated playback is great!
Back to top
View user's profile Send private message
mattes
Apprentice
Apprentice


Joined: 23 Jul 2008
Posts: 255
Location: München, Bavaria, Germany

PostPosted: Thu Nov 20, 2008 5:15 pm    Post subject: Reply with quote

Hello,

files are in place:
Code:

pwd
/usr/local/portage/x11-drivers/nvidia-drivers
nvidia-drivers # ls files/
insgesamt 104K
drwxr-xr-x 2 root root 4,0K 19. Nov 18:36 .
drwxr-xr-x 3 root root 4,0K 20. Nov 18:01 ..
-rw-r--r-- 1 root root   61  6. Jul 2006  09nvidia
-rw-r--r-- 1 root root  733 27. Aug 2006  libGL.la-r2
-rw-r--r-- 1 root root 1,5K 20. Sep 2007  nvidia
-rw-r--r-- 1 root root  639 22. Jan 2008  nvidia-169.07
-rw-r--r-- 1 root root  437  6. Jul 2006  NVIDIA_glx-defines.patch
-rw-r--r-- 1 root root  380  6. Jul 2006  NVIDIA_glx-glheader.patch
-rw-r--r-- 1 root root  602 25. Sep 2006  NVIDIA_glx-makefile.patch
-rw-r--r-- 1 root root  669  7. Jul 2007  NVIDIA_i2c-hwmon.patch
-rw-r--r-- 1 root root  22K 18. Apr 2008  NVIDIA_kernel-169.12-2286310.diff
-rw-r--r-- 1 root root  18K  8. Mai 2008  NVIDIA_kernel-173.08-2404825.diff
-rw-r--r-- 1 root root  19K 29. Mai 16:44 NVIDIA_kernel-173.14.05-2419292.diff


Code:

>>> Unpacking source...
/var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/distdir/NVIDIA-Linux-x86-180.08-pkg0.run: line 2: !DOCTYPE: No such file or directory
/var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/distdir/NVIDIA-Linux-x86-180.08-pkg0.run: line 3: syntax error near unexpected token `newline'
/var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/distdir/NVIDIA-Linux-x86-180.08-pkg0.run: line 3: `"http://www.w3.org/TR/REC-html40/loose.dtd">'
/var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/temp/environment: line 3879: cd: /var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/work/NVIDIA-Linux-x               86-180.08-pkg0: No such file or directory
 * Applying NVIDIA_glx-defines.patch ...

 * Failed Patch: NVIDIA_glx-defines.patch !
 *  ( /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/temp/NVIDIA_glx-defines.patch-11438.out

 *
 * ERROR: x11-drivers/nvidia-drivers-180.08-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 3881:  Called epatch 'src_unpack'
 *             environment, line 1673:  Called die
 * The specific snippet of code:
 *                   die "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: NVIDIA_glx-defines.patch!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/x11-drivers:nvidia-drivers-180.08-r1:20081120-170927.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

Code:

cat /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch
diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h    2002-12-09 21:26:55.000000000 +0100
+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h        2003-01-30 18:20:23.000000000 +0100
@@ -39,6 +39,7 @@
 typedef XID GLXPixmap;
 typedef XID GLXDrawable;
 typedef XID GLXPbuffer;
+typedef XID GLXPbufferSGIX;
 typedef XID GLXWindow;
 typedef XID GLXFBConfigID;

Code:

cat /var/tmp/portage/x11-drivers/nvidia-drivers-180.08-r1/temp/NVIDIA_glx-defines.patch-11438.out
***** NVIDIA_glx-defines.patch *****

====================================

PATCH COMMAND:   patch -p0 -g0 -E --no-backup-if-mismatch < /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch

====================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
|--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h   2002-12-09 21:26:55.000000000 +0100
|+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h       2003-01-30 18:20:23.000000000 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================

PATCH COMMAND:   patch -p1 -g0 -E --no-backup-if-mismatch < /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch

====================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
|--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h   2002-12-09 21:26:55.000000000 +0100
|+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h       2003-01-30 18:20:23.000000000 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================

PATCH COMMAND:   patch -p2 -g0 -E --no-backup-if-mismatch < /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch

====================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
|--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h   2002-12-09 21:26:55.000000000 +0100
|+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h       2003-01-30 18:20:23.000000000 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================

PATCH COMMAND:   patch -p3 -g0 -E --no-backup-if-mismatch < /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch

====================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
|--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h   2002-12-09 21:26:55.000000000 +0100
|+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h       2003-01-30 18:20:23.000000000 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================

PATCH COMMAND:   patch -p4 -g0 -E --no-backup-if-mismatch < /usr/local/portage/x11-drivers/nvidia-drivers/files/NVIDIA_glx-defines.patch

====================================
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ur NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h
|--- NVIDIA_GLX-1.0-4191/usr/include/GL/glx.h   2002-12-09 21:26:55.000000000 +0100
|+++ NVIDIA_GLX-1.0-4191.new/usr/include/GL/glx.h       2003-01-30 18:20:23.000000000 +0100
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

The 180.08-r1.ebuild is the Schwinni ebuild
Regrads
Back to top
View user's profile Send private message
agent_jdh
Veteran
Veteran


Joined: 08 Aug 2002
Posts: 1779
Location: Scotland

PostPosted: Thu Nov 20, 2008 5:28 pm    Post subject: Reply with quote

furanku wrote:
yngwin wrote:
Did you reboot and load the new nvidia drivers?


Yes. Just in this moment I'm trying to copy the ebuild from this thread into /usr/local/portage, rebuild nvidia-drivers and mplayer-9999-r20, reboot and try again. Will be back in a few minutes ...

... OK, that did not help. Error message and symptoms remain the same.

System is
Code:
2.6.27-gentoo-r3-default #1 SMP PREEMPT Thu Nov 20 01:15:04 CET 2008 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+ AuthenticAMD GNU/Linux

Card is
Code:
nVidia Corporation G70 [GeForce 7300 GT] (rev a1)


I might be wrong, but I don't think your card supports the video acceleration method that these drivers provide. I've got a 7600GT, and I'm in no rush to try the new driver, as it doesn't look like it'll bring me anything. Even some of the 8000-series cards do not have the hardware required.

EDIT - http://www.nvnews.net/vbulletin/showthread.php?t=123095

So definitely not supported.
_________________
Jingle Jangle Jewellery
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 902
Location: Hamburg, Germany

PostPosted: Thu Nov 20, 2008 5:38 pm    Post subject: Reply with quote

agent_jdh wrote:
I might be wrong, but I don't think your card supports the video acceleration method that these drivers provide. I've got a 7600GT, and I'm in no rush to try the new driver, as it doesn't look like it'll bring me anything. Even some of the 8000-series cards do not have the hardware required.

EDIT - http://www.nvnews.net/vbulletin/showthread.php?t=123095

So definitely not supported.


Ahh ... OK, thanks for the information.

I know it's beta stuff in heavy development and want to thank all for thier efforts and work, but wouldn't a simple message about missing hardware support and a fallback to unaccelerted software decoding be a better solution? I know that's "upstream" ... maybe one should implement a short warning in the ebuild, that missing hardware acceleration breaks the default mplayer video output driver?

OK, now that's a bug: I tried to get a working default video driver for mplayer again, so I unset the vdpau use flag, and now I get
Code:
Unknown parameter: --disable-vdpau
 *
 * ERROR: media-video/mplayer-9999-r20 failed.
...
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Thu Nov 20, 2008 6:51 pm    Post subject: Reply with quote

furanku wrote:
OK, now that's a bug: I tried to get a working default video driver for mplayer again, so I unset the vdpau use flag, and now I get
Code:
Unknown parameter: --disable-vdpau
 *
 * ERROR: media-video/mplayer-9999-r20 failed.
...

Sync again. That's already fixed.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
furanku
l33t
l33t


Joined: 08 May 2003
Posts: 902
Location: Hamburg, Germany

PostPosted: Thu Nov 20, 2008 7:06 pm    Post subject: Reply with quote

yngwin wrote:

Sync again. That's already fixed.


Thanks again for the help!
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Thu Nov 20, 2008 9:18 pm    Post subject: Reply with quote

mattes, I think your downloaded files are broken.
Do a
Code:
rm /usr/portage/distfiles/NVIDIA-*

and remerge again.
Back to top
View user's profile Send private message
hirakendu
Guru
Guru


Joined: 24 Jan 2007
Posts: 386
Location: san diego

PostPosted: Fri Nov 21, 2008 9:59 am    Post subject: Reply with quote

I got a small issue. Minefield (firefox-trunk) segfaults when I use 180.08. It is fine with 177.82 and also when 'eselect opengl set xorg-x11'. Can anyone reproduce this issue by using firefox trunk (, i.e.,
Code:
wget http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.1b2pre.en-US.linux-i686.tar.bz2
tar -xjpf firefox-3.1b2pre.en-US.linux-i686.tar.bz2
cd firefox
./firefox-bin
dmesg | tail

).

Just to make sure, I just renamed and ebuild digest'ed the 177.80 ebuild. (Also added the vdpau section, but segfaults even without it.) The only other reason I can think of is I am running a slightly old system (gentoo 2007.0 : gcc 4.1, glibc 2.5, xorg-7.2).
_________________
Helium Sources || Gentoo Minimal Livecd
Back to top
View user's profile Send private message
Tonglebeak
Guru
Guru


Joined: 23 Mar 2006
Posts: 362

PostPosted: Fri Nov 21, 2008 12:55 pm    Post subject: Reply with quote

I must say that plasma runs much better now.

The funny thing is that now glxgears dropped from 6000fps to 4800. 896MB GTX260 :\

Smooth scrolling in firefox is still very choppy...anyway to fix that?
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Fri Nov 21, 2008 1:28 pm    Post subject: Reply with quote

hirakendu wrote:
The only other reason I can think of is I am running a slightly old system (gentoo 2007.0 : gcc 4.1, glibc 2.5, xorg-7.2).

Or you grabbed a snapshot with errors. That can happen when using the trunk.
Back to top
View user's profile Send private message
hvengel
Guru
Guru


Joined: 19 Sep 2004
Posts: 515

PostPosted: Fri Nov 21, 2008 8:52 pm    Post subject: Reply with quote

Just installed 180.08. Big improvement. I was seeing artifacts when moving windows with 177.80 and 180.08 fixed that problem. Also most stuff seem snappier like moving windows and scrolling text. It is definitely worth the effort to install this new driver. I can't comment on stability yet.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5  Next
Page 3 of 5

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum